%define __python /usr/bin/python2.7
%global pybindir /usr/lib/python2.7/bin

%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif


Name:           python27-astLib
Version:        0.7.0
Release:        1%{?dist}.1
Summary:        astLib python astronomy modules

Group:          Development/Libraries
License:        GPLv2
URL:            http://astlib.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/astlib/astlib/%{version}/astLib-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python27-devel
BuildRequires:  python27-setuptools
BuildRequires:	pyfits27 numpy27 scipy27 python27-matplotlib
Requires:	pyfits27 numpy27 scipy27 python27-matplotlib

%description
astLib is a set of Python modules that provides some tools for research
astronomers. It can be used for astronomical plots, some statistics, 
common calculations, coordinate conversions, and manipulating FITS 
images with World Coordinate System (WCS) information through 
PyWCSTools - a simple wrapping of WCSTools by Doug Mink. PyWCSTools is
distributed (and developed) as part of astLib.

%prep
%setup -q -n astLib-%{version}

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
 
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGE_LOG LICENSE README RELEASE_NOTES docs examples
%{python_sitearch}/*


%changelog
* Thu Mar 14 2013 Josko Plazonic <plazonic@math.princeton.edu>
- initial packaging
